/* from the strpbrk() from Henry Spencer's stringlib */
/* modified 6/28/94 sb to find rightmost character */
#include <string.h>
#include "extras.h"

/*
 * strrpbrk - find last occurrence of any char from breakat in s
 */

char *				/* found char, or NULL if none */
strrpbrk(s, breakat)
const char *s;
const char *breakat;
{
	register const char *sscan;
	register const char *bscan;
	register char *place = NULL;

	for (sscan = s; *sscan != '\0'; sscan++) {
		for (bscan = breakat; *bscan != '\0';) { /* ++ moved down. */
			if (*sscan == *bscan++) {
				place = (char *)sscan;
				break;
			}
		}
	}
	return place;
}
